Skip to main content
GET
/
v1
/
webhook-requests
List webhook request history
curl --request GET \
  --url https://prod.truv.com/v1/webhook-requests/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "next": "<string>",
  "previous": "<string>",
  "results": [
    {
      "webhook_id": "48427a36d43c4d5aa6324bc06c692456",
      "event_type": "task-status-updated",
      "event_created_at": "2024-01-15T10:30:00Z",
      "status_code": 200,
      "error_message": null,
      "webhook_payload": {
        "webhook_id": "a3f5b7c9d1e2f4a6b8c0d2e4f6a8b0c2",
        "event_type": "order-status-updated",
        "event_created_at": "2026-01-27T00:00:16.279921Z",
        "product": "assets",
        "link_id": null,
        "user_id": "b4c6d8e0f2a4b6c8d0e2f4a6b8c0d2e4",
        "order_id": "c5d7e9f1a3b5c7d9e1f3a5b7c9d1e3f5",
        "status": "expired"
      },
      "webhook_url": "https://example.com/webhooks/truv"
    }
  ]
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Query Parameters

created_at__gte
string<date-time>

Filter records created on or after this ISO-8601 timestamp. Defaults to 30 days ago if not provided. Cannot be older than 30 days from current time. Must be less than or equal to created_at__lte if both are provided.

created_at__lte
string<date-time>

Filter records created on or before this ISO-8601 timestamp.

event_type
enum<string>

Filter by webhook event type.

Available options:
task-status-updated,
order-status-updated,
order-created,
link-connected,
link-disconnected,
order-refresh-failed,
link-deleted,
employment-created,
employment-updated,
profile-created,
profile-updated,
statements-created,
statements-updated,
shifts-created,
shifts-updated,
bank-accounts-created,
bank-accounts-updated
status_code
integer

Filter by exact HTTP status code.

Required range: 100 <= x <= 599
cursor
string

The pagination cursor value.

page_size
integer
default:10

Number of results to return per page.

Required range: x <= 100

Response

Paginated list of webhook requests

next
string | null

Link to next page

previous
string | null

Link to previous page

results
object[]

List of webhook requests